### Constructor

# Gdk ContentProvidernew_for_bytes

#### Declaration [src]

    GdkContentProvider*
    gdk_content_provider_new_for_bytes (
      const char* mime_type,
      GBytes* bytes
    )

#### Description [src]

Create a content provider that provides the given `bytes` as data for the given `mime_type`.

#### Parameters

`mime_type`

  Type: `const char*`

  The mime type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  A `GBytes` with the data for `mime_type`.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkContentProvider`

A new `GdkContentProvider`

The caller of the function takes ownership of the data, and is responsible for freeing it.